ooo-build r14802 - in trunk: . bin distro-configs patches/dev300



Author: strba
Date: Tue Dec  9 20:05:41 2008
New Revision: 14802
URL: http://svn.gnome.org/viewvc/ooo-build?rev=14802&view=rev

Log:
2008-12-09  Fridrich Strba  <fridrich strba bluewin ch>
	* bin/setup.in, bin/unpack, distro-configs/*.conf.in: everything that
	is downloaded by ./download is in $SRCDIR, everything that is in the
	ooo-build/src directory is in $TOOLSDIR/src.
	* download.in: if specified ./download --all, download also apache-ant
	binary package.
	* configure.in: use gcc-4.2.3 and binutils 2.18 if specified 
	--with-internal-gcc.
	* patches/dev300/writerperfect-testing.diff: massage to remove fuzz and
	make apply flawlessly.


Modified:
   trunk/ChangeLog
   trunk/Makefile.am
   trunk/bin/setup.in
   trunk/bin/unpack
   trunk/configure.in
   trunk/distro-configs/Ark.conf.in
   trunk/distro-configs/DroplineGNOME.conf.in
   trunk/distro-configs/DroplineGNOME64.conf.in
   trunk/distro-configs/FSFhuLinux.conf.in
   trunk/distro-configs/FSFhuMacOSX.conf.in
   trunk/distro-configs/FSFhuWindows.conf.in
   trunk/distro-configs/Frugalware.conf.in
   trunk/distro-configs/GoOoLinux.conf.in
   trunk/distro-configs/GoOoMacOSX.conf.in
   trunk/distro-configs/GoOoWin32.conf.in
   trunk/distro-configs/NovellWin32.conf.in
   trunk/distro-configs/NovellWin32ISO.conf.in
   trunk/distro-configs/OxygenOfficeLinux.conf.in
   trunk/distro-configs/OxygenOfficeWindows.conf.in
   trunk/distro-configs/Pardus2007.conf.in
   trunk/distro-configs/Pardus2008.conf.in
   trunk/distro-configs/PlainLinux.conf.in
   trunk/distro-configs/Solaris.conf.in
   trunk/download.in
   trunk/patches/dev300/writerperfect-testing.diff

Modified: trunk/Makefile.am
==============================================================================
--- trunk/Makefile.am	(original)
+++ trunk/Makefile.am	Tue Dec  9 20:05:41 2008
@@ -24,11 +24,6 @@
 	for icons in $(OOO_ICONS_VERS) ; do \
 	    test "$(BUILDDIR)/$$icons" = "/" || rm -rf "$(BUILDDIR)/$$icons" ; \
 	done
-	test -z "$(BUILDDIR)/gcc-3.4.1" || rm -rf $(BUILDDIR)/gcc-3.4.1
-	test -z "$(BUILDDIR)/bin" || rm -rf $(BUILDDIR)/bin/*
-	test -z "$(BUILDDIR)/include/c++" || rm -rf $(BUILDDIR)/include/c++
-	test -z "$(BUILDDIR)/lib" || rm -rf $(BUILDDIR)/lib/*
-	test -z "$(BUILDDIR)/libexec" || rm -rf $(BUILDDIR)/libexec/*
 
 maintainer-clean-local:
 	test -z "$(BUILDDIR)" || rm -rf $(BUILDDIR)

Modified: trunk/bin/setup.in
==============================================================================
--- trunk/bin/setup.in	(original)
+++ trunk/bin/setup.in	Tue Dec  9 20:05:41 2008
@@ -205,17 +205,17 @@
 # ---------------------------
 #   Source / Version setup:
 # ---------------------------
-GCC_VER=gcc-3.4.1
-GCC_TARBALL=gcc-3.4.1.tar.bz2
+GCC_VER=gcc-4.2.3
+GCC_TARBALL=gcc-4.2.3.tar.bz2
 GCC_UNTAR_OPTIONS=jxf
 GCC_DECOMPRESS_CMD="bzip2 -dc"
-GCC_PATCHES="gcc-3.4.1-Enums.diff gcc-3.4.1-VisibilityPatch2.diff"
+GCC_PATCHES=""
 
-BINUTILS_VER=
-BINUTILS_TARBALL=
-BINUTILS_UNTAR_OPTIONS=
-BINUTILS_DECOMPRESS_CMD=
-BINUTILS_PATCH=
+BINUTILS_VER=binutils-2.18
+BINUTILS_TARBALL=binutils-2.18.tar.bz2
+BINUTILS_UNTAR_OPTIONS=jxf
+BINUTILS_DECOMPRESS_CMD="bzip2 -dc"
+BINUTILS_PATCHES=""
 
 OOO_SCALED_ICONS_VER=ooo-scaled-icons
 OOO_SCALED_ICONS_TARBALL=$OOO_SCALED_ICONS_VER.tar.gz

Modified: trunk/bin/unpack
==============================================================================
--- trunk/bin/unpack	(original)
+++ trunk/bin/unpack	Tue Dec  9 20:05:41 2008
@@ -163,12 +163,14 @@
     echo "Unpacking compiler bits"
 
     if test "z$BINUTILS_TARBALL" != "z"; then
-	($BINUTILS_DECOMPRESS_CMD $SRCDIR/$BINUTILS_TARBALL | $GNUTAR xpf - ) || exit 1;
-	patch -p0 < $BINUTILS_PATCH || exit 1;
+        ($BINUTILS_DECOMPRESS_CMD $SRCDIR/$BINUTILS_TARBALL | $GNUTAR xpf - ) || exit 1;
+        for P in $BINUTILS_PATCHES ; do
+            patch -d "$BINUTILS_VER" -p1 -s < "$SRCDIR/$P"
+        done
     fi
     ($GCC_DECOMPRESS_CMD $SRCDIR/$GCC_TARBALL | $GNUTAR xpf - ) || exit 1;
     for P in $GCC_PATCHES ; do
-	patch -d "$GCC_VER" -p1 -s < "$SRCDIR/$P"
+        patch -d "$GCC_VER" -p1 -s < "$SRCDIR/$P"
     done
 fi
 
@@ -332,9 +334,9 @@
     cd $BUILDDIR;
     APACHE_ANT='apache-ant-1.7.0'
     APACHE_ANT_TARBALL=$APACHE_ANT-bin.tar.gz
-    if test -f $TOOLSDIR/src/$APACHE_ANT_TARBALL; then
+    if test -f $SRCDIR/$APACHE_ANT_TARBALL; then
 	$echo_n "Extracting ant $echo_c"
-	(gunzip -dc $TOOLSDIR/src/$APACHE_ANT_TARBALL | $GNUTAR xpf - )|| exit 1;
+	(gunzip -dc $SRCDIR/$APACHE_ANT_TARBALL | $GNUTAR xpf - )|| exit 1;
 	echo "done";
     else
 	echo "Don't need to unpack ant";
@@ -345,9 +347,9 @@
     # Bypass the Mozilla source bits for now
     if false; then
 
-    if test -f $TOOLSDIR/src/$BUILD_MOZILLA_SOURCE;  then
+    if test -f $SRCDIR/$BUILD_MOZILLA_SOURCE;  then
         $echo_n "Installing Mozilla source $echo_c"
-	$GNUCP -f $TOOLSDIR/src/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download || exit 1;
+	$GNUCP -f $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     else
 	echo "Don't need to unpack Mozilla sources";
@@ -363,8 +365,8 @@
 	echo "Already have Mozilla libIDL sources";
     else
         $echo_n "Installing Mozilla libIDL source $echo_c"
-	$GNUCP -f $TOOLSDIR/src/$MOZILLA_IDL_SRC $OOBUILDDIR/moz/download || exit 1;
-	$GNUCP -f $TOOLSDIR/src/$MOZILLA_IDL_PATCH $OOBUILDDIR/moz/download || exit 1;
+	$GNUCP -f $SRCDIR/$MOZILLA_IDL_SRC $OOBUILDDIR/moz/download || exit 1;
+	$GNUCP -f $SRCDIR/$MOZILLA_IDL_PATCH $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     fi
 
@@ -372,8 +374,8 @@
 	echo "Already have Mozilla GLib source";
     else
         $echo_n "Installing Mozilla GLib source $echo_c"
-	$GNUCP -f $TOOLSDIR/src/$MOZILLA_GLIB_SRC $OOBUILDDIR/moz/download || exit 1;
-	$GNUCP -f $TOOLSDIR/src/$MOZILLA_GLIB_PATCH $OOBUILDDIR/moz/download || exit 1;
+	$GNUCP -f $SRCDIR/$MOZILLA_GLIB_SRC $OOBUILDDIR/moz/download || exit 1;
+	$GNUCP -f $SRCDIR/$MOZILLA_GLIB_PATCH $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     fi
 
@@ -381,7 +383,7 @@
 	echo "Already have Mozilla wintools";
     else
         $echo_n "Installing Mozilla wintools $echo_c"
-	$GNUCP -f $TOOLSDIR/src/$MOZILLA_WINTOOLS_BIN $OOBUILDDIR/moz/download || exit 1;
+	$GNUCP -f $SRCDIR/$MOZILLA_WINTOOLS_BIN $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     fi
 
@@ -397,9 +399,9 @@
 	echo "Already have the prebuilt Mozilla zip files";
     else
         $echo_n "Installing prebuilt Mozilla zip files $echo_c"
-	$GNUCP -f $TOOLSDIR/src/$MOZILLA_PREBUILT_INC $OOBUILDDIR/moz/zipped || exit 1;
-	$GNUCP -f $TOOLSDIR/src/$MOZILLA_PREBUILT_LIB $OOBUILDDIR/moz/zipped || exit 1;
-	$GNUCP -f $TOOLSDIR/src/$MOZILLA_PREBUILT_RUNTIME $OOBUILDDIR/moz/zipped || exit 1;
+	$GNUCP -f $SRCDIR/$MOZILLA_PREBUILT_INC $OOBUILDDIR/moz/zipped || exit 1;
+	$GNUCP -f $SRCDIR/$MOZILLA_PREBUILT_LIB $OOBUILDDIR/moz/zipped || exit 1;
+	$GNUCP -f $SRCDIR/$MOZILLA_PREBUILT_RUNTIME $OOBUILDDIR/moz/zipped || exit 1;
 	echo "done";
     fi
 
@@ -437,13 +439,13 @@
 	chmod a+x $OOBUILDDIR/external/msi/instmsiw.exe
     fi
 
-    if test -f $TOOLSDIR/src/$AGFA_MONOTYPE_FONTS_SOURCE; then
+    if test -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE; then
         if test -f $OOBUILDDIR/agfa_monotype_fonts/download/$AGFA_MONOTYPE_FONTS_SOURCE; then
             echo "Already have the Agfa Monotype fonts"
 	else
 	    $echo_n "Installing Agfa Monotype fonts $echo_c"
 	    mkdir -p $OOBUILDDIR/agfa_monotype_fonts/download
-	    $GNUCP -f $TOOLSDIR/src/$AGFA_MONOTYPE_FONTS_SOURCE $OOBUILDDIR/agfa_monotype_fonts/download || exit 1
+	    $GNUCP -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE $OOBUILDDIR/agfa_monotype_fonts/download || exit 1
 	    echo "done"
         fi
 	if grep 'Agfa Monotype' $OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html; then
@@ -456,7 +458,7 @@
     else
         case "$DISTRO" in
 	    NovellWin32*)
-	        echo Missing $TOOLSDIR/src/$AGFA_MONOTYPE_FONTS_SOURCE
+	        echo Missing $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE
 		echo which should always be included when building $DISTRO
 		exit 1
 		;;
@@ -482,6 +484,18 @@
         mkdir -p $OOBUILDDIR/moz/download || exit 1
         $GNUCP -a $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download/ || exit 1
     fi
+
+    cd $BUILDDIR;
+    APACHE_ANT='apache-ant-1.7.0'
+    APACHE_ANT_TARBALL=$APACHE_ANT-bin.tar.gz
+    if test -f $SRCDIR/$APACHE_ANT_TARBALL; then
+	$echo_n "Extracting ant $echo_c"
+	(gunzip -dc $SRCDIR/$APACHE_ANT_TARBALL | $GNUTAR xpf - )|| exit 1;
+	echo "done";
+    else
+	echo "Don't need to unpack ant";
+    fi
+
 fi
 
 case "$DISTRO" in

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Tue Dec  9 20:05:41 2008
@@ -54,8 +54,8 @@
 
 AC_ARG_WITH(internal-gcc,
 [
-  --with-internal-gcc     build our own gcc (gcc-3.4.1 with enum and
-			  visibility patches).],
+  --with-internal-gcc     build our own gcc (vanilla gcc-4.2.3
+                          and binutils 2.18).],
 ,)
 
 AC_ARG_WITH(distro,

Modified: trunk/distro-configs/Ark.conf.in
==============================================================================
--- trunk/distro-configs/Ark.conf.in	(original)
+++ trunk/distro-configs/Ark.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_ark.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_ark.png\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_ark.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_ark.png\"
 --with-vendor=\"the Ark Linux team\"
 --with-system-stdlibs
 --with-system-openssl

Modified: trunk/distro-configs/DroplineGNOME.conf.in
==============================================================================
--- trunk/distro-configs/DroplineGNOME.conf.in	(original)
+++ trunk/distro-configs/DroplineGNOME.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_dlg.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_dlg.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_dlg.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_dlg.bmp\"
 --with-vendor=\"Dropline\ GNOME\"
 --with-gcc-speedup=ccache
 --disable-kde

Modified: trunk/distro-configs/DroplineGNOME64.conf.in
==============================================================================
--- trunk/distro-configs/DroplineGNOME64.conf.in	(original)
+++ trunk/distro-configs/DroplineGNOME64.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_dlg.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_dlg.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_dlg.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_dlg.bmp\"
 --with-vendor=\"Dropline\ GNOME\"
 --with-gcc-speedup=ccache
 --disable-kde

Modified: trunk/distro-configs/FSFhuLinux.conf.in
==============================================================================
--- trunk/distro-configs/FSFhuLinux.conf.in	(original)
+++ trunk/distro-configs/FSFhuLinux.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,4 +1,4 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_fsfhu.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_fsfhu.bmp\"
 --with-vendor=\"FSF.hu AlapÃtvÃny\"
 --with-package-format=\"rpm deb\"
 --disable-access

Modified: trunk/distro-configs/FSFhuMacOSX.conf.in
==============================================================================
--- trunk/distro-configs/FSFhuMacOSX.conf.in	(original)
+++ trunk/distro-configs/FSFhuMacOSX.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,4 +1,4 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_fsfhu.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_fsfhu.bmp\"
 --with-vendor=\"FSF.hu AlapÃtvÃny\"
 --with-lang=hu
 --enable-minimizer 

Modified: trunk/distro-configs/FSFhuWindows.conf.in
==============================================================================
--- trunk/distro-configs/FSFhuWindows.conf.in	(original)
+++ trunk/distro-configs/FSFhuWindows.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,4 +1,4 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_fsfhu.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_fsfhu.bmp\"
 --with-vendor=\"FSF.hu AlapÃtvÃny\"
 --disable-activex-component
 --without-agfa-monotype-fonts

Modified: trunk/distro-configs/Frugalware.conf.in
==============================================================================
--- trunk/distro-configs/Frugalware.conf.in	(original)
+++ trunk/distro-configs/Frugalware.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_fw.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_fw.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_fw.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_fw.bmp\"
 --with-vendor=\"Frugalware Linux\"
 --with-system-curl
 --with-system-expat

Modified: trunk/distro-configs/GoOoLinux.conf.in
==============================================================================
--- trunk/distro-configs/GoOoLinux.conf.in	(original)
+++ trunk/distro-configs/GoOoLinux.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_go-oo.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_go-oo.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_go-oo.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_go-oo.bmp\"
 --with-vendor=\"Novell, Inc.\"
 --disable-access
 --enable-cairo
@@ -30,8 +30,18 @@
 --disable-crypt-link
 --disable-pam-link
 --disable-xrender-link
+--disable-randr-link
 --without-openldap
 --without-system-xrender-headers
 --without-system-mesa-headers
 --without-unix-wrapper
+--with-fonts
+--enable-minimizer 
+--enable-presenter-console 
+--enable-pdfimport
+--without-system-poppler
+--enable-wiki-publisher 
+--enable-report-builder 
+--with-extension-integration
 --with-linker-hash-style=both
+--with-ant-home=$BUILDDIR/apache-ant-1.7.0

Modified: trunk/distro-configs/GoOoMacOSX.conf.in
==============================================================================
--- trunk/distro-configs/GoOoMacOSX.conf.in	(original)
+++ trunk/distro-configs/GoOoMacOSX.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_go-oo.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_go-oo.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_go-oo.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_go-oo.bmp\"
 --with-vendor=\"Novell, Inc.\"
 --enable-minimizer 
 --enable-presenter-console 

Modified: trunk/distro-configs/GoOoWin32.conf.in
==============================================================================
--- trunk/distro-configs/GoOoWin32.conf.in	(original)
+++ trunk/distro-configs/GoOoWin32.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_go-oo.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_go-oo.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_go-oo.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_go-oo.bmp\"
 --with-vendor=\"Novell, Inc.\"
 --disable-activex-component
 --without-agfa-monotype-fonts

Modified: trunk/distro-configs/NovellWin32.conf.in
==============================================================================
--- trunk/distro-configs/NovellWin32.conf.in	(original)
+++ trunk/distro-configs/NovellWin32.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_nld.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_nld.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_nld.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_nld.bmp\"
 --with-vendor=\"Novell, Inc.\"
 --disable-activex-component
 --disable-xrender-link

Modified: trunk/distro-configs/NovellWin32ISO.conf.in
==============================================================================
--- trunk/distro-configs/NovellWin32ISO.conf.in	(original)
+++ trunk/distro-configs/NovellWin32ISO.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,4 +1,4 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_nld.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_nld.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_nld.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_nld.bmp\"
 --with-vendor=\"Novell, Inc.\"
 --disable-activex-component

Modified: trunk/distro-configs/OxygenOfficeLinux.conf.in
==============================================================================
--- trunk/distro-configs/OxygenOfficeLinux.conf.in	(original)
+++ trunk/distro-configs/OxygenOfficeLinux.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_ooop.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_ooop.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_ooop.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_ooop.bmp\"
 --with-vendor=\"OxygenOffice Professional Team\"
 --with-build-version=\"OxygenOffice Professional 3.1.0 M035 - OxygenOffice Build 0\"
 --enable-binfilter

Modified: trunk/distro-configs/OxygenOfficeWindows.conf.in
==============================================================================
--- trunk/distro-configs/OxygenOfficeWindows.conf.in	(original)
+++ trunk/distro-configs/OxygenOfficeWindows.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_ooop.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_ooop.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_ooop.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_ooop.bmp\"
 --with-vendor=\"OxygenOffice Professional Team\"
 --with-build-version=\"OxygenOffice Professional 3.1.0 M035 - OxygenOffice Build 0\"
 --enable-binfilter

Modified: trunk/distro-configs/Pardus2007.conf.in
==============================================================================
--- trunk/distro-configs/Pardus2007.conf.in	(original)
+++ trunk/distro-configs/Pardus2007.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_pardus.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_pardus.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_pardus.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_pardus.bmp\"
 --with-vendor=\"Pardus\"
 --with-system-curl
 --with-system-expat

Modified: trunk/distro-configs/Pardus2008.conf.in
==============================================================================
--- trunk/distro-configs/Pardus2008.conf.in	(original)
+++ trunk/distro-configs/Pardus2008.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_pardus.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_pardus.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_pardus.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_pardus.bmp\"
 --with-vendor=\"Pardus\"
 --with-system-curl
 --with-system-expat

Modified: trunk/distro-configs/PlainLinux.conf.in
==============================================================================
--- trunk/distro-configs/PlainLinux.conf.in	(original)
+++ trunk/distro-configs/PlainLinux.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_go-oo.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_go-oo.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_go-oo.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_go-oo.bmp\"
 --with-vendor=\"Novell, Inc.\"
 --disable-access
 --enable-odk

Modified: trunk/distro-configs/Solaris.conf.in
==============================================================================
--- trunk/distro-configs/Solaris.conf.in	(original)
+++ trunk/distro-configs/Solaris.conf.in	Tue Dec  9 20:05:41 2008
@@ -1,5 +1,5 @@
---with-intro-bitmaps=\"$SRCDIR/openintro_go-oo.bmp\"
---with-about-bitmaps=\"$SRCDIR/openabout_go-oo.bmp\"
+--with-intro-bitmaps=\"$TOOLSDIR/src/openintro_go-oo.bmp\"
+--with-about-bitmaps=\"$TOOLSDIR/src/openabout_go-oo.bmp\"
 --with-vendor=\"Novell, Inc.\"
 --with-system-libs
 --disable-access

Modified: trunk/download.in
==============================================================================
--- trunk/download.in	(original)
+++ trunk/download.in	Tue Dec  9 20:05:41 2008
@@ -217,7 +217,7 @@
 -x $WGET || die "Can't find wget - install it and try again\n";
 
 if ('@SYSTEM_GCC@' eq '') {
-    push @files, ( 'gcc-3.4.1.tar.bz2', 'gcc-3.4.1-Enums.diff', 'gcc-3.4.1-VisibilityPatch2.diff' );
+    push @files, ( 'gcc-4.2.3.tar.bz2', 'binutils-2.18.tar.bz2' );
 }
 
 if (!$SPLIT && ($download_all || '@BUILD_WIN32@' ne ''))
@@ -262,6 +262,9 @@
     if ('@ENABLE_MONO@' ne 'FALSE') {
 	push @files, ( 'ooo-cli-prebuilt-3.0.tar.bz2' );
     }
+    if ( $download_all ) {
+    	push @files, ( "apache-ant-1.7.0-bin.tar.gz" );
+    }
 }
 
 # Prebuilt dictionaries

Modified: trunk/patches/dev300/writerperfect-testing.diff
==============================================================================
--- trunk/patches/dev300/writerperfect-testing.diff	(original)
+++ trunk/patches/dev300/writerperfect-testing.diff	Tue Dec  9 20:05:41 2008
@@ -2396,8 +2396,8 @@
  	virtual void updateListLevel(const int iLevel, const WPXPropertyList &xPropList) = 0;
 -	virtual void write(DocumentHandler *pHandler) const;
 +	virtual void write(DocumentHandlerInterface *pHandler) const;
- 	const int getListID() { return miListID; }
- 	const bool isListLevelDefined(int iLevel) const;
+ 	int getListID() const { return miListID; }
+ 	bool isListLevelDefined(int iLevel) const;
  
 diff -u -r -N writerperfect//source/filter/makefile.mk writerperfect//source/filter/makefile.mk
 --- writerperfect//source/filter/makefile.mk	2008-11-17 22:06:28.000000000 +0100
@@ -3609,24 +3609,7 @@
 diff -u -r -N writerperfect//source/filter/TableStyle.hxx writerperfect//source/filter/TableStyle.hxx
 --- writerperfect//source/filter/TableStyle.hxx	2008-11-17 22:06:28.000000000 +0100
 +++ writerperfect//source/filter/TableStyle.hxx	2008-11-17 22:07:19.000000000 +0100
-@@ -22,57 +22,53 @@
-  *
-  */
- 
--/* "This product is not manufactured, approved, or supported by
-+/* "This product is not manufactured, approved, or supported by 
-  * Corel Corporation or Corel Corporation Limited."
-  */
- #ifndef _TABLESTYLE_H
- #define _TABLESTYLE_H
--#if defined _MSC_VER
--#pragma warning( push, 1 )
--#endif
- #include <libwpd/libwpd.h>
--#if defined _MSC_VER
--#pragma warning( pop )
--#endif
- #include <vector>
+@@ -38,15 +38,16 @@
  
  #include "Style.hxx"
  #include "WriterProperties.hxx"
@@ -3643,10 +3626,9 @@
 -	virtual void write(DocumentHandler *pHandler) const;
 +	virtual void write(DocumentHandlerInterface *pHandler) const;
  private:
--        WPXPropertyList mPropList;
-+	WPXPropertyList mPropList;
+         WPXPropertyList mPropList;
  };
- 
+@@ -54,8 +55,9 @@
  class TableRowStyle : public Style
  {
  public:
@@ -3655,11 +3637,9 @@
 -	virtual void write(DocumentHandler *pHandler) const;
 +	virtual void write(DocumentHandlerInterface *pHandler) const;
  private:
--        WPXPropertyList mPropList;
-+	WPXPropertyList mPropList;
+         WPXPropertyList mPropList;
  };
- 
- class TableStyle : public Style, public TopLevelElementStyle
+@@ -64,8 +66,8 @@
  {
  public:
  	TableStyle(const WPXPropertyList &xPropList, const WPXPropertyListVector &columns, const char *psName);
@@ -3667,18 +3647,9 @@
 -	virtual void write(DocumentHandler *pHandler) const;
 +	virtual ~TableStyle();
 +	virtual void write(DocumentHandlerInterface *pHandler) const;
- 	const int getNumColumns() const { return mColumns.count(); }
+ 	int getNumColumns() const { return mColumns.count(); }
  	void addTableCellStyle(TableCellStyle *pTableCellStyle) { mTableCellStyles.push_back(pTableCellStyle); }
  	int getNumTableCellStyles() { return mTableCellStyles.size(); }
- 	void addTableRowStyle(TableRowStyle *pTableRowStyle) { mTableRowStyles.push_back(pTableRowStyle); }
- 	int getNumTableRowStyles() { return mTableRowStyles.size(); }
--private:
--        WPXPropertyList mPropList;
-+private:	
-+	WPXPropertyList mPropList;
- 	WPXPropertyListVector mColumns;
- 	std::vector<TableCellStyle *> mTableCellStyles;
- 	std::vector<TableRowStyle *> mTableRowStyles;
 diff -u -r -N writerperfect//source/filter/TextRunStyle.cxx writerperfect//source/filter/TextRunStyle.cxx
 --- writerperfect//source/filter/TextRunStyle.cxx	2008-11-17 22:06:28.000000000 +0100
 +++ writerperfect//source/filter/TextRunStyle.cxx	2008-11-17 22:07:19.000000000 +0100



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]